<?php
if(!defined('MOD'))  die("access die");
if(empty($channel[$channelid])) qbase::showmsg("error request");
purviewCheck( $channelid, 'acc_channel');
$action = $_GET['action'];
qbase::checkAction( $action);
$a = AC_P.$action.".php";
$listphp = $_MODULE[$channel[$channelid]['channelselect']]['user_list_php'];
$contentphp = $_MODULE[$channel[$channelid]['channelselect']]['user_content_php'];
$cms = qbase::get_object("qmecms" . ucwords($mod));
if(is_file($a)){
	require_once( $a);
}else{
	qbase::showmsg("error request");
}

function _output_js($tip, $url = ''){
	global $_SET, $wait;
	$wait = intval($wait) > 0 ? intval($wait) : 1;
	$html = "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\"><html xmlns=\"http://www.w3.org/1999/xhtml\"><head><meta http-equiv=Content-Type content=\"text/html; charset={$_SET['def_charset']}\"></head><body>";
	if($url){
		$html .= "
		<script type='text/javascript'>
			parent.qmeCms.dialogView.form('操作提示', \"<p style='color:blue;font-size:14px;'>{$tip}</p><p class='padding' style='text-align:right'><a href='{$url}' style='color:#666;' class='loading'>跳转中，请等待...</a></p>\", {width:400});
			setTimeout(function(){parent.location.href = \"{$url}\";}, 1000 * {$wait});
		</script>";
	}else{
		$tip = addslashes($tip);
		$html .= "
		<script type='text/javascript'>
			alert(\"{$tip}\");
			parent.qmeCms.dialogView.close();
			parent.document.getElementById('submit').disabled = false;
		</script>";
	}
	$html .= "</body></html>";
	echo $html;
	exit();
}
?>
